PhantomBuster integration: operations for AI agents
PhantomBuster connects to Type.com as an integration. This page lists the 71 operations documented for Claude and Codex in Type.com: 31 read, 40 write.
About PhantomBuster
PhantomBuster is a cloud-based data extraction and automation platform that enables users to automate actions on the web, such as scraping data, generating leads, and automating social media tasks.
Categories: Analytics & Data, Marketing & Social
How to connect PhantomBuster to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
71 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
71 operations listed.
Users
- Read
GET /users/fetch-me
Gets the current user's info. If a sessionId is not provided the endpoint will create a new session and return the newly created id.
- Write
POST /users/update-me
Updates the current user's info.
Orgs
- Read
GET /orgs/export-agent-usage
Gets a csv file containing agent usage info of the current user's organization.
- Read
GET /orgs/export-container-usage
Gets a csv file containing container usage info of the current user's organization.
- Read
GET /orgs/fetch-agent-groups
Gets the agent groups and order of the current user's organization.
- Read
GET /orgs/fetch
Gets the current organization.
- Read
GET /orgs/fetch-resources
Gets the current organization's resources and usage.
- Read
GET /orgs/fetch-running-containers
Gets the current organization's running containers.
- Read
GET /orgs/fetch-crm-access
Get the organization's CRM access to be able to fetch CRM resources.
- Read
GET /orgs/fetch-crm-resources
Gets the current organization's CRM requested resources.
- Write
POST /orgs/save-agent-groups
Updates the agent groups and order of the current user's organization.
- Write
POST /orgs/save
Updates the current organization's info. Only web or MCP sessions are allowed to call this endpoint. Omit the X-Phantombuster-Org header to call this endpoint.
- Write
POST /orgs/save-crm-contact
Save new contacts to CRM.
Containers
- Read
GET /containers/fetch-all
Gets all containers associated to a specified agent.
- Read
GET /containers/fetch-result-object
Gets the result object associated with a container.
- Read
GET /containers/fetch-output
Gets the output of a container.
- Read
GET /containers/fetch
Gets a container by id.
- Read
GET /containers/attach
Attaches to a running container and streams its output in real-time.
Branches
- Read
GET /branches/fetch-all
Gets the branches associated with the current organization's id.
- Read
GET /branches/diff
Gets the length difference between the staging and release branch of all scripts.
- Write
POST /branches/create
Creates a new branch.
- Write
POST /branches/delete
Deletes a branch by id.
- Write
POST /branches/release
Releases a script branch.
Agents
- Read
GET /agents/fetch-output
Gets the output of the most recent container of an agent. This API endpoint is specifically designed so that it's easy to get incremental data from an agent.
- Read
GET /agents/fetch
Gets an agent by id.
- Read
GET /agents/fetch-all
Gets all agents of the current user's organization.
- Read
GET /agents/fetch-deleted
Gets all deleted agents of the current user's organization.
- Write
POST /agents/launch
Adds an agent to the launch queue.
- Write
POST /agents/launch-sync
Launches an agent and streams execution status in real-time using NDJSON format.
- Write
POST /agents/launch-soon
Schedules an agent to launch before a specific time.
- Write
POST /agents/stop
Stops an agent.
- Write
POST /agents/unschedule-all
Disables the automatic launch for all of the agents from the current organization.
- Write
POST /agents/save
Updates or creates a new agent. If an id is provided, the corresponding agent will be updated. Otherwise, a new agent will be created.
- Write
POST /agents/delete
Deletes an agent by id.
Scripts
- Read
GET /scripts/fetch
Gets a script by id.
- Read
GET /scripts/fetch-all
Gets all the scripts associated with the current user.
- Read
GET /scripts/code
Gets the code of a script.
- Write
POST /scripts/visibility
Updates the visibility of a script.
- Write
POST /scripts/access-list
Updates the access list of a script.
- Write
POST /scripts/save
Updates or creates a new script. If an id is provided, the corresponding script will be updated. Otherwise, a new script will be created.
- Write
POST /scripts/delete
Deletes a script by id.
Captcha
- Write
POST /hcaptcha
Solves an hCaptcha challenge. This endpoint will return a 200 status code even if an error occurs. The error will be set in the response body.
- Write
POST /recaptcha
Solves a reCAPTCHA challenge. Supports reCAPTCHA v3 and v2. This endpoint will return a 200 status code even if an error occurs. The error will be set in the response body.
Ai
- Write
POST /ai/completions
Get a completion from the AI.
- Write
POST /ai/advice
Get a recommendation from the AI.
Org storage
- Read
GET /org-storage/lists/fetch-all
Get all the lists - Beta.
- Read
GET /org-storage/lists/fetch
Get one list by ID - Beta.
- Write
POST /org-storage/leads/save-many
Save many leads - Beta.
- Write
POST /org-storage/leads/save
Save one lead - Beta.
- Write
POST /org-storage/leads/delete-many
Delete many leads.
- Write
POST /org-storage/leads/by-list/{listId}
Fetch leads by their list id.
- Write
POST /org-storage/lists/save
Save a list - Beta. For more information, see the Creating and updating leads lists using filters page in the Developer Guides.
- Write
POST /org-storage/lists/delete
Delete a list - Beta.
- Write
POST /org-storage/leads-objects/save
Save one lead object.
- Write
POST /org-storage/leads-objects/save-many
Save many lead objects.
- Write
POST /org-storage/leads-objects/delete
Delete one or more leads objects.
- Write
POST /org-storage/leads-objects/search
Search leads objects.
- Write
POST /org-storage/companies-objects/save
Save one company object.
- Write
POST /org-storage/companies-objects/save-many
Save many company objects.
- Write
POST /org-storage/companies-objects/search
Search companies objects.
Identities
- Write
POST /identities/search
Search identities.
- Write
POST /identities/save
Save identity.
- Write
POST /identities/generate-token
Generate identity token.
- Write
POST /identities/save-with-token
Save identity.
- Write
POST /identities/events/save
Save the identity event.
Brightdata
- Read
GET /brightdata/serp
Perform a search using brightdata.
Location
- Read
GET /location/ip
Retrieves the country of the IP address.
Icps
- Read
GET /icps/fetch-all
Fetch all ICPs for an org.
Buyers Personas
- Read
GET /buyers-personas/fetch-all
Fetch all buyer personas for an org.
Scoring
- Read
GET /scoring/fetch-all
Fetch all scoring definitions for an org.
- Read
GET /scoring/fetch/{id}
Fetch a single scoring definition by id.
No operations match.
See How connections work for access and permissions, or browse all integrations.